<?php
/*
 * Created on 02.07.2007 - 19:39:03
 *
 * +-----------------------------------------+
 * | PHP version 5.1                         |
 * +-----------------------------------------+
 * | Copyright (c) 2007 Toby				 |
 * +-----------------------------------------+
 * | Authors: Tobias Friebel <TobyF@Web.de>  |
 * +-----------------------------------------+
 *
 * Project: UserGuthaben
 *
 * $Id: PostingTemplateBoardListener.class.php 18 2008-01-28 00:26:48Z toby $
 */

require_once(WCF_DIR.'lib/system/event/EventListener.class.php');

/**
 * Add/Edit PostingTemplates
 *
 * @author	Toby
 * @package	com.toby.wbb.postingtemplates
 */
class PostingTemplateBoardListener implements EventListener
{
	private $enableThread = 0;
	private $enablePosting = 0;
	private $threadTemplate = '';
	private $postingTemplate = '';
	private $isSave = false;

	/**
	 * @see EventListener::execute()
	 */
	public function execute($eventObj, $className, $eventName)
	{
		switch ($eventName)
		{
			case 'readFormParameters':
				if (isset($_POST['enableThread'])) $this->enableThread = intval($_POST['enableThread']);
				if (isset($_POST['enablePosting'])) $this->enablePosting = intval($_POST['enablePosting']);
				if (isset($_POST['threadTemplate'])) $this->threadTemplate = StringUtil::trim($_POST['threadTemplate']);
				if (isset($_POST['postingTemplate'])) $this->postingTemplate = StringUtil::trim($_POST['postingTemplate']);
			break;

			case 'save':
				$eventObj->additionalFields['enableThreadTemplate'] = $this->enableThread;
				$eventObj->additionalFields['enablePostingTemplate'] = $this->enablePosting;
				$eventObj->additionalFields['threadTemplate'] = $this->threadTemplate;
				$eventObj->additionalFields['postingTemplate'] = $this->postingTemplate;
				$this->isSave = true;
			break;

			case 'assignVariables':
				if (is_object($eventObj->board) && !$this->isSave)
				{
					WCF::getTPL()->assign(array(
						'enableThread' => $eventObj->board->enableThreadTemplate,
						'enablePosting' => $eventObj->board->enablePostingTemplate,
						'threadTemplate' => $eventObj->board->threadTemplate,
						'postingTemplate' => $eventObj->board->postingTemplate
					));
				}
				else
				{
					WCF::getTPL()->assign(array(
						'enableThread' => $this->enableThread,
						'enablePosting' => $this->enablePosting,
						'threadTemplate' => $this->threadTemplate,
						'postingTemplate' => $this->postingTemplate,
					));
				}
				WCF::getTPL()->append('additionalTabs', WCF::getTPL()->fetch('postingTemplateMenu'));
				WCF::getTPL()->append('additionalTabContents', WCF::getTPL()->fetch('postingTemplate'));
			break;
		}
	}
}
?>